Package org.eclipse.lemminx.settings

## Class XMLWorkspaceSettings

- java.lang.Object
- - org.eclipse.lemminx.settings.XMLWorkspaceSettings

    public class XMLWorkspaceSettings
    extends Object

A wrapper around LSP `WorkspaceClientCapabilities`.

### Constructor Summary

Constructors
`XMLWorkspaceSettings()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isResourceOperationSupported​(String kind)` Returns true if the client can support the given resource operation kind and false otherwise.
`void` `setCapabilities​(org.eclipse.lsp4j.WorkspaceClientCapabilities workspace)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLWorkspaceSettings

    public XMLWorkspaceSettings()

### Method Detail

#### setCapabilities

    public void setCapabilities​(org.eclipse.lsp4j.WorkspaceClientCapabilities workspace)

#### isResourceOperationSupported

    public boolean isResourceOperationSupported​(String kind)

Returns true if the client can support the given resource operation kind and false otherwise.

Parameters:
  `kind` - the resource operation kind.
Returns:
  true if the client can support the given resource operation kind and false otherwise.